/* GENERAL */
:root{
    --white: white;
    --main-bg-color: #F2F2F2;
    --main-color: #0065fc;
    --scd-color: #deebff;
}
* {
    margin: 0;
    padding: 0;
    
}

#bloc-page {
    margin: auto;
    align-items: center;
    width: 1050px;
}

div[class="flex-row mobile-only"] {
    display: none;
}

#activities {
    margin-bottom: 15px;
}

.flex {
    display: flex;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-between {
    display: flex;
    justify-content: space-between;
}

.flex-around {
    display: flex;
    justify-content: space-around;
}

.center {
    justify-content: center;
    align-items: center;
}

.align-center {
    align-items: center;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.fas:not([class*="star"]) {
    display: flex;
    justify-content: center;
    align-items: center;
}

.blue {
    color: var(--main-color);
    font-weight: bold;
}

.grey {
    color: lightgrey;
}

.no-deco {
    text-decoration: none;
    list-style: none;
}

.flex1 {
    flex: 1;
}

.align-bloc-page-footer {
    max-width: 1050px;
    margin: auto;
    margin-top: 50px;
}

.footer-list {
    width: 90%;
}

.width100 {
    width: 100%;
}

img {
    object-fit: cover;
}

body {
    font-family: 'Raleway', Arial, sans-serif;
}

a {
    color: black;
    text-decoration: none;
    font-weight: bold;
}

a:hover {
    color: var(--main-color);
}

p {
    font-size: 0.7em;
    font-weight: normal;
}

h1 {
    font-size: 1.1em;
    font-weight: bolder;
}

h2 {
    margin: 10px 0px;
    font-size: 0.8em;
    font-weight: normal;
}

h3 {
    font-size: 0.9em;
    margin-right: 15px;
}

h4 {
    font-size: 1em;
}

h5 {
    font-size: 0.8em;
    margin-bottom: 3px;
}

/*Header*/

header {
    margin-bottom: 30px;
}

header img {
    max-height: 50px;
}

header a {
    font-weight: normal;
    padding-left: 20px;
    padding-right: 20px;
}

nav li:hover,
nav li.active {
    border-top: 2px solid var(--main-color);
}

nav a:hover {
    color: var(--main-color);
}

header li,
header a {
    list-style: none;
    text-decoration: none;
    padding: 15px;
    border-top: 2px solid transparent;
}

.bold {
    font-weight: bold;
}

/*                                                      SearchBar */

.search-bar {
    height: 44px;
    margin: 10px 0;
}

.search-bar i {
    height: 20px;
    padding: 12px 15px;
    border-top-left-radius: 25%;
    border-bottom-left-radius: 25%;
    background-color: var(--main-bg-color);
}

.search-bar input {
    font-family: 'Raleway';
    height: 44px;
    font-weight: bold;
    border: var(--main-bg-color) 1px solid;
    padding: 0 10px;
}

.search-bar input[type="submit"] {
    background-color: var(--main-color);
    color: var(--white);
    font-weight: 600;
    border-radius: 0 10px 10px 0;
    border: 0px;
}

.search-bar input[type="submit"]:hover {
    box-shadow: #68a4ff inset 0px 2px 5px;
}

.search-bar i[class*="search"] {
    display: none;
}

/* Filtres */
.contain-filters {
    margin: 20px 0;
}

.filters div {
    align-items: center;
    margin-right: 20px;
}

.filters i {
    padding: 10px;
    margin-right: 10px;
}

.round {
    width: 21px;
    height: 21px;
    background-color: var(--scd-color);
    border-radius: 50%;
    z-index: 1;
}

.border {
    padding: 11px 19px 11px 30px;
    border: 1px solid lightgrey;
    border-left: 0px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    margin-left: -29px;
    min-width: 50px;
    display: flex;
    justify-content: center;
}

.border:hover {
    background-color: var(--main-color);
    color: var(--white);
}

.info-filters {
    align-items: center;
}

i[class*="info"] {
    font-size: 0.7em;
    border-radius: 50%;
    background-color: var(--white);
    border: lightgrey 1px solid;
    margin-right: 10px;
}

/* Main */

section {
    margin: 20px 0px 30px 0;
    background-color: var(--main-bg-color);
    border-radius: 10px;
    padding: 30px;
}
section:nth-child(2):not([id*=famous]){
    background-color: var(--white);
    padding: 0;
}

/*HEBERGEMENTS*/

#hosting {
    margin-right: 30px;
}

#hosting img {
    width: 200px;
    max-height: 100px;
    object-fit: cover;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}

.frame {
    flex-wrap: wrap;
    align-items: center;
    margin-top: 20px;
}

.vignette {
    width: 200px;
    background-color: var(--white);
    border-radius: 15px;
    border: 3px var(--white) solid;
    height: 160px;
    margin-bottom: 25px;
    box-shadow: lightgrey 0px 0px 10px 3px;
}

.note {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 5px;
}

.legende {
    padding: 10px;
}

.vignette:not([class*="long"]) .legende h5 {
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 23ch;
    white-space: nowrap;
}

.vignette i {
    font-size: 0.7em;
}

/*POPULAIRES*/

.long {
    width: 245px;
    margin-right: 0;
    margin-top: 15px;
    margin-bottom: 0;
    min-height: 100%;
    height: 110px;
}

.long:first-child {

    margin-top: 0;

}

.long img {
    height: 110px;
    width: 90px;
    border-radius: 12px 0 0 12px;
    align-items: flex-end;
}

.populars {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}

.frame-popular {
    margin-top: 10px;

}

/* ACTIVITES */
.activities {
    
    max-height: 350px;
    margin-top: 5px;
    box-sizing: border-box;
}

.activities>* {
    max-width: 24%;
}

.vignette-activity {
    min-height: 100%;
    position: relative;
}

.vignette-activity,
.demi-vignette {
    box-shadow: var(--main-bg-color) 0 0 5px 3px;
    border-radius: 10px;
}

.vignette-activity img {
    height: 100%;
    border-radius: 10px 10px 12px 12px;
}

.activities h5 {
    padding: 10px 15px;
    position: absolute;
    bottom: -3px;
    background-color: var(--white);
    width: 100%;
    box-sizing: border-box;
    border-radius: 0 0 10px 10px;
}

.demi-vignette {
    height: 170px;
    position: relative;
}

.demi-vignette img {
    border-radius: 10px 10px 12px 12px;
    max-height: 170px;
}

.activities div a:nth-child(2) {
    margin-top: 10px;
}

/*                                  FOOTER*/

footer {
    background-color: var(--main-bg-color);
    min-height: 220px;
    align-items: flex-start;
}

footer li {
    margin: 10px 0;
    font-size: 0.7em;
}

.footer-list a {
    font-weight: normal;
}

/*                                  VERSION TABLETTE*/

@media all and (min-width: 769px) and (max-width: 1200px) {
    #bloc-page {
        width: 700px;

    }

    #hosting {
        margin-right: 0;
    }

    .hosting {
        flex-direction: column-reverse;
        margin-bottom: 30px;
    }

    .contain-filters {
        align-items: flex-start;
        flex-direction: column;
    }
    .frame{
        flex-direction: row;
    }
    .legende h5 {
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 23ch;
        white-space: nowrap;
    }

    .long {
        flex-direction: column;
        width: 200px;
        background-color: var(--white);
        border-radius: 15px;
        border: 3px var(--white) solid;
        height: 160px;
        box-shadow: lightgrey 0px 0px 10px 3px;
    }

    .long img {
        width: 200px;
        max-height: 100px;
        object-fit: cover;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;
        border-bottom-left-radius: 0;
    }

    .long:first-child {
        margin-top: 15px;
    }

    .align-bloc-page-footer {
        max-width: 700px;
    }

    .demi-vignette img {
        height: 170px;
    }
}

/*                              VERSION MOBILE*/

@media all and (max-width: 768px) {
    #bloc-page {
        width: 100%;
    }

    .desktop-only {
        display: none;
    }

    div[class="flex-row mobile-only"] {
        display: flex;
        flex-direction: column-reverse;
        width: 100%;
        align-items: flex-end;
        margin: 40px 0;
    }

    #hosting {
        margin-right: 0px;
    }
    .hosting {
        flex-direction: column-reverse;
    }
    h1 {
        font-size: 1.4em;
        max-width: 90%;
        font-weight: 900;
    }

    h1,
    h2 {
        margin-left: 5%;
    }

    h3 {
        margin-right: 0;
    }

    header {
        height: 100px;
        margin: 0;
        position: relative;
        margin-bottom: 30px;
    }

    header img {
        top: 0;
        position: absolute;
        left: 5%;
    }

    h2 {
        font-size: 1em;
    }

    nav {
        width: 100%;
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-end;
        justify-content: space-between;
    }

    nav ul {
        width: 100%;
        justify-content: space-between;
    }

    nav li {
        width: 50%;
        text-align: center;
    }

    nav .blue {
        padding-top: 0;
    }

    nav li:hover {
        border-bottom: 2px solid var(--main-color);
        border-top: none;
    }

    .search-bar {
        align-items: center;
        justify-content: space-between;
        width: 90%;
        margin: 30px 5%;
    }

    form {
        width: 100%;
    }

    .search-bar input[type="search"] {
        width: 100%;
        border-right: none;
    }

    .search-bar input[type="submit"] {
        display: none;
    }

    .search-bar i[class*="search"] {
        display: flex;
        background-color: var(--main-color);
        color: var(--white);
        border-radius: 25% 25% 25% 25%;
        margin-left: -5px;
    }

    .filters {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 100%;
    }

    .filters a {
        margin-bottom: 10px;
    }

    .filters a:first-child {
        margin-right: 10px;
    }

    .filters a:nth-child(2) {
        max-width: 145px;
    }

    .contain-filters h3 {
        align-self: flex-start;
        margin-bottom: 10px;
    }

    .contain-filters {
        width: 90%;
        flex-direction: column;
        margin-left: 5%;
    }

    .info-filters {
        padding-left: 5%;
        align-items: center;
    }

    .info-filters p {
        margin: 0;
    }

    section {
        flex-direction: column-reverse;
        align-items: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 30px;
        padding: 30px 0;
        width: 100%;
        border-radius: 0px;
    }

    h4 {
        align-self: flex-start;
        margin-left: 5%;
    }

    .frame {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        width: 100%;
    }

    .frame:nth-child(2) {
        display: flex;
        align-items: center;
    }

    .populars {
        width: 100%;
    }

    .populars i:not([class*="star"]) {
        margin-right: 5%;
    }

    
        
    

    section:nth-child(2) {
        border-radius: 0;
        background-color: var(--white);
    }

    .vignette {
        width: 335px;
    }

    #activities {
        margin-bottom: 10px;
    }

    #hosting img {
        width: 100%;
    }

    .long img {
        width: 125px;
    }

    .long {
        max-height: 200px;
    }

    .activities {
        flex-direction: column;
        
        max-height: 100%;
        justify-content: space-between;
        align-items: center;
        margin-left: 5%;
        margin-right: 5%;
    }

    .activities h5 {
        min-width: 100%;
    }

    .activities *:not(div) {
        width: 100%;
        max-height: 190px;
    }

    .vignette-activity,
    .demiVignette {
        margin-bottom: 10px;
    }

    .activities>* {
        max-width: 100%;
    }

    .demi-vignette {
        width: 100%;
        margin-bottom: 10px;
    }

    .activities div a:nth-child(2) {
        margin-top: 0px;
    }

    .vignette-activity img,
    .demi-vignette img {
        max-height: 170px;
        min-width: 100%;
    }

    .align-bloc-page-footer {
        flex-direction: column;
        max-width: 1050px;
    }

    .align-bloc-page-footer ul {
        margin-bottom: 30px;
    }

    .footer-list {
        margin-left: 5%;
    }

}